summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-10-16 13:39:42 +0200
committerDavid Seifert <soap@gentoo.org>2019-10-16 13:39:42 +0200
commit93455878493fb8533890f69636bef2e20c40c680 (patch)
tree6b63c949aa80f3b2773c2329b7a542bfca751221 /media-sound/flake
parentmedia-sound/dcd: Port to EAPI 7 (diff)
downloadgentoo-93455878493fb8533890f69636bef2e20c40c680.tar.gz
gentoo-93455878493fb8533890f69636bef2e20c40c680.tar.bz2
gentoo-93455878493fb8533890f69636bef2e20c40c680.zip
media-sound/flake: Port to EAPI 7
Bug: https://bugs.gentoo.org/697274 Package-Manager: Portage-2.3.77, Repoman-2.3.17 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'media-sound/flake')
-rw-r--r--media-sound/flake/flake-0.11.ebuild30
1 files changed, 16 insertions, 14 deletions
diff --git a/media-sound/flake/flake-0.11.ebuild b/media-sound/flake/flake-0.11.ebuild
index 5f1f3377e8d..24f2e7b6ee1 100644
--- a/media-sound/flake/flake-0.11.ebuild
+++ b/media-sound/flake/flake-0.11.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=0
+EAPI=7
inherit toolchain-funcs
@@ -12,22 +12,24 @@ SRC_URI="mirror://sourceforge/flake-enc/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="debug"
-src_compile() {
- local myconf
-
- if ! use debug; then
- myconf="${myconf} --disable-debug"
- fi
-
- ./configure --cc="$(tc-getCC)" --prefix="${D}"/usr \
- --disable-opts --disable-strip ${myconf} || die "configure failed."
+src_configure() {
+ # NIH configure script
+ ./configure \
+ --cc="$(tc-getCC)" \
+ --prefix="${D}"/usr \
+ --disable-opts \
+ --disable-debug \
+ --disable-strip || die "configure failed"
+}
- emake -j1 || die "emake failed."
+src_compile() {
+ emake -j1
}
src_install() {
- emake install || die "emake install failed."
+ dobin flake/flake
+ doheader libflake/flake.h
+ dolib.a libflake/libflake.a
dodoc Changelog README
}